import React from 'react';
import PropTypes from 'prop-types';
type NativeInputProps = {
    ariaLabel?: string;
    disabled?: boolean;
    maxDate?: Date;
    minDate?: Date;
    name?: string;
    onChange?: (event: React.ChangeEvent<HTMLInputElement>) => void;
    required?: boolean;
    value?: Date | null;
    valueType: 'hour' | 'minute' | 'second';
};
declare function NativeInput({ ariaLabel, disabled, maxDate, minDate, name, onChange, required, value, valueType, }: NativeInputProps): JSX.Element;
declare namespace NativeInput {
    var propTypes: {
        ariaLabel: PropTypes.Requireable<string>;
        disabled: PropTypes.Requireable<boolean>;
        maxDate: PropTypes.Validator<Date | null | undefined>;
        minDate: PropTypes.Validator<Date | null | undefined>;
        name: PropTypes.Requireable<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        required: PropTypes.Requireable<boolean>;
        value: PropTypes.Requireable<NonNullable<string | Date | null | undefined>>;
        valueType: PropTypes.Requireable<string>;
    };
}
export default NativeInput;
